// @import "./varible";
// @import "./Theme";

// body {
//     margin: 0px;
// }

// .whiteTheme {
//     @include theme-component("white");
// }

// .darkTheme {
//     @include theme-component("dark");
// }

$spacer: 1rem;
$spacers: (
    0: 0,
    1: $spacer / 4,
    2: $spacer / 2,
    3: $spacer,
    4: $spacer * 1.5,
    5: $spacer * 3,
);
@each $key, $val in $spacers {
    .mt-#{$key} {
        margin-top: $val;
    }
    .ml-#{$key} {
        margin-left: $val;
    }
    .mb-#{$key} {
        margin-bottom: $val;
    }
    .mr-#{$key} {
        margin-right: $val;
    }
    .pt-#{$key} {
        padding-top: $val;
    }
    .pl-#{$key} {
        padding-left: $val;
    }
    .pb-#{$key} {
        padding-bottom: $val;
    }
    .pr-#{$key} {
        padding-right: $val;
    }
}
$max: 10;
@for $i from 1 through $max {
    .width-#{$i} {
        width: percentage($i/$max);
    }
    .height-#{$i} {
        height: percentage($i/$max);
    }
}
